import type { TurboModule } from 'react-native';
export interface SeonGeolocationConfig {
    prefetchEnabled?: boolean;
    geolocationServiceTimeoutMs?: number;
    maxGeoLocationCacheAgeSec?: number;
    geolocationEnabled?: boolean;
}
export interface Spec extends TurboModule {
    setSessionId(sessionId: string): Promise<void>;
    setLoggingEnabled(enabled: boolean): Promise<void>;
    getFingerprintBase64(): Promise<string>;
    startBehaviourMonitoring(): Promise<void>;
    stopBehaviourMonitoring(): Promise<string>;
    setGeolocationEnabled(enabled: boolean): Promise<void>;
    setGeoLocationConfig(config: SeonGeolocationConfig): Promise<void>;
}
declare const _default: Spec;
export default _default;
